%if 0%{?el7}
%define dist .el7
%endif

%define date 20171001

Summary:	Library for encoding and decoding H264/AVC video streams
Name:		x264
Version:	0.0.0
Release:	36.%{date}%{?dist}
License:	GPL
Group:		System Environment/Libraries
URL:		http://www.videolan.org/developers/x264.html

Packager:	momo-i <webmaster@momo-i.org>
Vendor:		momo-i, http://www.momo-i.org/

Source:		http://downloads.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{date}-2245.tar.bz2
Patch0:		x264-20090730-glibc232.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gettext
BuildRequires:	nasm yasm
BuildRequires:  perl(Digest::MD5)

Obsoletes: x264-gtk <= %{version}-%{release}

%description
Utility and library for encoding H264/AVC video streams.

%package -n libx264-devel
Summary: Development files for the x264 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig
Obsoletes: x264-gtk-devel <= %{version}-%{release}

%description -n libx264-devel
This package contains the files required to develop programs that will encode
H264/AVC video streams using the x264 library.

%package -n libx264-static
Summary: Development files for the x264 static library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig
Obsoletes: x264-gtk-devel <= %{version}-%{release}

%description -n libx264-static
This package contains the files required to develop programs that will encode
H264/AVC video streams using the x264 library.

%prep
%setup -q -n %{name}-snapshot-%{date}-2245
# configure hardcodes X11 lib path
%{__perl} -pi -e 's|/usr/X11R6/lib |/usr/X11R6/%{_lib} |g' configure

### Required for glibc < 2.3.2 (http://article.gmane.org/gmane.comp.video.x264.devel/1696)
%if %{?_without_glibc232:1}0
%patch0 -p0
%endif

%build
# Force PIC as applications fail to recompile against the lib on x86_64 without
./configure \
    --prefix="%{_prefix}" \
    --bindir="%{_bindir}" \
    --includedir="%{_includedir}" \
    --libdir="%{_libdir}" \
%if 0%{?rhel} <= 5 || 0%{?fedora} <= 16
	--disable-asm \
%endif
    --enable-debug \
    --enable-pic \
    --enable-shared \
	--enable-static \
    --extra-cflags="%{optflags}"

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/x264
%{_libdir}/libx264.so.*

%files -n libx264-devel
%defattr(-, root, root, 0755)
%doc doc/*.txt
%{_includedir}/x264.h
%{_includedir}/x264_config.h
%{_libdir}/pkgconfig/x264.pc
%{_libdir}/libx264.so

%files -n libx264-static
%{_libdir}/libx264.a

%changelog
* Mon Oct 02 2017 momo-i <webmaster@momo-i.org> - 0.0.0-36.20171001
- Update to 20171001

* Fri May 12 2017 momo-i <webmaster@momo-i.org> - 0.0.0-35.20170511
- Update to 20170511

* Wed Mar 15 2017 momo-i <webmaster@momo-i.org> - 0.0.0-34.20170314
- Update to 20170314

* Mon Jan 23 2017 momo-i <webmaster@momo-i.org> - 0.0.0-33.20170122
- Update to 20170122

* Tue Dec 06 2016 momo-i <webmaster@momo-i.org> - 0.0.0-32.20161205
- Update to 20161205

* Wed Nov 09 2016 momo-i <webmaster@momo-i.org> - 0.0.0-31.20161108
- Update to 20161108

* Wed Jun 15 2016 momo-i <webmaster@momo-i.org> - 0.0.0-30.20160614
- Update to 20160614

* Tue May 10 2016 momo-i <webmaster@momo-i.org> - 0.0.0-29.20160509
- Update to 20160509

* Mon Apr 04 2016 momo-i <webmaster@momo-i.org> - 0.0.0-28.20160403
- Update to 20160403

* Wed Mar 09 2016 momo-i <webmaster@momo-i.org> - 0.0.0-27.20160308
- Update to 20160308

* Fri Mar 04 2016 momo-i <webmaster@momo-i.org> - 0.0.0-26.20160303
- Update to 20160303

* Wed Feb 10 2016 momo-i <webmaster@momo-i.org> - 0.0.0-25.20160209
- Update to 20160209

* Mon Jan 04 2016 momo-i <webmaster@momo-i.org> - 0.0.0-24.20160103
- Update to 20160103

* Mon Dec 07 2015 momo-i <webmaster@momo-i.org> - 0.0.0-23.20151206
- Update to 20151206

* Sun Nov 08 2015 momo-i <webmaster@momo-i.org> - 0.0.0-22.20151108
- Update to 20151108

* Mon Nov 02 2015 momo-i <webmaster@momo-i.org> - 0.0.0-21.20151101
- Update to 20151101

* Tue Oct 27 2015 momo-i <webmaster@momo-i.org> - 0.0.0-20.20151026
- Update to 20151026

* Tue Oct 13 2015 momo-i <webmaster@momo-i.org> - 0.0.0-19.20151012
- Update to 20151012

* Mon Sep 28 2015 momo-i <webmaster@momo-i.org> - 0.0.0-18.20150927
- Update to 20150927

* Mon Sep 07 2015 momo-i <webmaster@momo-i.org> - 0.0.0-17.20150906
- Update to 20150906

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.0.0-16.20150816
- Update dist for centos7

* Mon Aug 17 2015 momo-i <webmaster@momo-i.org> - 0.0.0-15.20150816
- Update to 20150816

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.0.0-14.20150727
- Rebuilt for fc23

* Tue Jul 28 2015 momo-i <webmaster@momo-i.org> - 0.0.0-13
- Update to 20150727

* Mon Jul 13 2015 momo-i <webmaster@momo-i.org> - 0.0.0-12
- Update to 20150712

* Fri Jul 03 2015 momo-i <webmaster@momo-i.org> - 0.0.0-11
- Update to 20150702

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.0.0-10
- Rebuilt for fc22

* Wed Dec 17 2014 momo-i <webmaster@momo-i.org> - 0.0.0-9
- Update to 20141216

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.0.0-8
- Update to 20141112

* Mon Sep 22 2014 momo-i <webmaster@momo-i.org> - 0.0.0-7
- Update to 20140921

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 0.0.0-6
- Update to 20140122

* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 0.0.0-5
- Update to 20131128

* Tue Mar  5 2013 momo-i <webmaster@momo-i.org> 0.0.0-4
- Initial rpm release.
